Testing that the package works - install it (Previous) About Pyrus (Next)
Last updated: Tue, 30 Sep 2014 — Download Documentation
Do you think that something on this page is wrong? Please file a bug report or add a note.
View this page in:

User Notes:

Note by: th.geist@gmail.com
If you get the error

Pyrus\Installer\Exception: Installation failed
Pyrus\AtomicFileTransaction\MultiException: Unable to begin transaction
Pyrus\AtomicFileTransaction\RuntimeException: Cannot begin - a backup directory still exists
Pyrus\AtomicFileTransaction\RuntimeException: Cannot rollback - not in a transaction

while installing pear2.php.net/PEAR2_Pyrus , you might want to try to set the bin_dir config variable:

sudo php pyrus.phar . set bin_dir ./bin

This fixed it for me.
Note by: alternifolium
I keep getting this message (managed to get stuck that way on ubuntu as well as on windows 7, just when installing the pear/pear package):

Pyrus\Installer\Exception: Installation failed
Pyrus\AtomicFileTransaction\MultiException: Unable to begin transaction
Pyrus\AtomicFileTransaction\RuntimeException: Cannot begin - a backup directory still exists
Pyrus\AtomicFileTransaction\RuntimeException: Cannot rollback - not in a transaction

No install or upgrade possible any more. How can this be cleaned/reset?

thanks
Note by: tlhunter@gmail.com
wtf does this mean:

tlhunter@macbook:~$ pyrus.phar install PEAR2_HTTP_Request
Pyrus version 2.0.0a3 SHA-1: BE7EA9D171AE3873F1BBAF692EEE9165BB14BD5D
Using PEAR installation found at ./library/pear
PEAR2\Pyrus\Installer\Exception: Dependency validation failed for some packages to install, installation aborted
PEAR2\Pyrus\Package\Dependency\Set\Exception: Unable to find a compatible release for pear2.php.net/PEAR2_HTTP_Request

tlhunter@macbook:~$ pyrus.phar install pear/Text_HighlighterPyrus version 2.0.0a3 SHA-1: BE7EA9D171AE3873F1BBAF692EEE9165BB14BD5D
Using PEAR installation found at ./library/pear
PEAR2\Pyrus\Installer\Exception: Dependency validation failed for some packages to install, installation aborted
PEAR2\Pyrus\Package\Dependency\Set\Exception: Unable to find a compatible release for pear.php.net/Text_Highlighter

And why is there zero occurances on Google of anyone having this problem?

http://www.google.com/search?q=%22Dependency+validation+failed+for+some+packages+to+install%2C+installation+aborted%22

Shouldn't there be a page on the PEAR2 website explaining all of the error (exception) messages? If PEAR2 is to become the defacto standard for acquiring PHP packages, shouldn't there be better documentation available? I'm sure it's something obvious like a package is spelled wrong, but couldn't we make the error messages a little more obvious as to what the problem is?
These instructions are for linux.
Note by: deck.hazen@gmail.com
Hi folks,

I'm just new and not a professional programmer or anything, so I don't understand your instructions:

php pyrus.phar mypear ~/src/my-project/pear

php - I worked out the path back to the php.exe file
pyrun.phar - thats one of the packages I've just downloaded and I've got it in the same directory

mypear? what is that? it doesn't exist on my system

~/src/my-project/pear ? again - no idea what you are after here - I've got several projects going, but I don't have a ~/src which looks very much like a unix address.

Then to make matters worse - I get this for an error message:

"The filename, directory name, or volume label syntax is incorrect."

My question to you is "WTF"? How about an installer for your installer ?